'use strict';

let insertRegex = /^insert into "[^"]+" \(([^\)]+)\)/;
let updateRegex = /^update "[^"]+" set (.+) where/;
let updateColumnRegex = /^"([^"]+)"/;

module.exports = function getColumns(query) {
	let match;

	if (match = insertRegex.exec(query)) {
		return match[1].split(",").map((columnName) => {
			return columnName.trim().slice(1, -1);
		});
	} else if (match = updateRegex.exec(query)) {
		return match[1].split(",").map((statement) => {
			return updateColumnRegex.exec(statement.trim())[1];
		});
	}
};
