'use strict';

const Promise = require("bluebird");

module.exports = {
	up: function createEnumViolationTable(knex, errorHandler) {
		return Promise.try(() => {
			return knex.raw("CREATE TYPE number AS ENUM ('one', 'two', 'three')").catch(errorHandler);
		}).then(() => {
			return knex.schema.createTable("enum_violation", (table) => {
				table.increments("id");
				table.specificType("number_value", "number");
				table.text("name");
			}).catch(errorHandler);
		});
	},
	down: function dropEnumViolationTable(knex, errorHandler) {
		return Promise.try(() => {
			return knex.schema.dropTable("enum_violation").catch(errorHandler);
		}).then(() => {
			return knex.raw("DROP TYPE number").catch(errorHandler);
		});
	}
};
