'use strict';

const Promise = require("bluebird");

module.exports = {
	up: function createForeignKeyConstraintViolationTable(knex, errorHandler) {
		return Promise.try(() => {
			return knex.schema.createTable("foreign_key_constraint_users", (table) => {
				table.increments("id");
				table.text("username");
				table.text("name");
			}).catch(errorHandler);
		}).then(() => {
			return knex.schema.createTable("foreign_key_constraint_posts", (table) => {
				table.increments("id");
				table.integer("user_id").references("id").inTable("foreign_key_constraint_users");
				table.text("body");
			}).catch(errorHandler);
		});
	},
	down: function dropForeignKeyConstraintViolationTable(knex, errorHandler) {
		return Promise.try(() => {
			return knex.schema.dropTable("foreign_key_constraint_posts").catch(errorHandler);
		}).then(() => {
			return knex.schema.dropTable("foreign_key_constraint_users").catch(errorHandler);
		});
	}
};
