'use strict';

const Promise = require("bluebird");

module.exports = function attemptForeignKeyConstraintViolation(knex) {
	return Promise.try(() => {
		return knex("foreign_key_constraint_users").insert([{
			name: "Joe",
			username: "joe"
		}, {
			name: "Jane",
			username: "jane"
		}]).returning("id");
	}).then((ids) => {
		return knex("foreign_key_constraint_posts").insert([{
			user_id: ids[0],
			body: "Foo"
		}, {
			user_id: ids[1],
			body: "Bar"
		}, {
			user_id: 567213,
			body: "Baz"
		}]);
	});
};
